
#ifndef SERVER_H
#define SERVER_H

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <network.h>
#include <errno.h>
#include <sys/dir.h>

#define TCP_PORT 80

// use these codes as argument for
// the code parameter of the 
// create_response() function

#define HTTP_200	200
#define HTTP_301	301
#define HTTP_304	304
#define HTTP_400	400
#define HTTP_404	404
#define HTTP_405	405
#define HTTP_500	500
#define HTTP_501	501
#define HTTP_503	503


// seem's to be missing from network.h
// but happily not from the lib :-)
extern u32 net_gethostip();

// the server's main loop
void run_server();

#endif
